com.genesyslab.wfm8.API.service.config851

## Class CfgAgentUsedBonus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgAgentUsedBonus

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAgentUsedBonus
      extends java.lang.Object
      implements java.io.Serializable

  Used Bonus info
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBonusId`
    `protected double` | `wmDate`
    `protected double` | `wmUsedHours`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAgentUsedBonus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBonusId()` Gets the value of the wmBonusId property.
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `double` | `getWmUsedHours()` Gets the value of the wmUsedHours property.
    `int` | `hashCode()`
    `void` | `setWmBonusId(int value)` Sets the value of the wmBonusId property.
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmUsedHours(double value)` Sets the value of the wmUsedHours property.
    `java.lang.String` | `toString()`
    `CfgAgentUsedBonus` | `withWmBonusId(int value)`
    `CfgAgentUsedBonus` | `withWmDate(double value)`
    `CfgAgentUsedBonus` | `withWmUsedHours(double value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBonusId

          protected int wmBonusId

    - #### wmDate

          protected double wmDate

    - #### wmUsedHours

          protected double wmUsedHours

  - ### Constructor Detail

    - #### CfgAgentUsedBonus

          public CfgAgentUsedBonus()

  - ### Method Detail

    - #### getWmBonusId

          public int getWmBonusId()

      Gets the value of the wmBonusId property.

    - #### setWmBonusId

          public void setWmBonusId(int value)

      Sets the value of the wmBonusId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmUsedHours

          public double getWmUsedHours()

      Gets the value of the wmUsedHours property.

    - #### setWmUsedHours

          public void setWmUsedHours(double value)

      Sets the value of the wmUsedHours property.

    - #### withWmBonusId

          public CfgAgentUsedBonus withWmBonusId(int value)

    - #### withWmDate

          public CfgAgentUsedBonus withWmDate(double value)

    - #### withWmUsedHours

          public CfgAgentUsedBonus withWmUsedHours(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.